eccodes: eccodes::codes_index_get Interface Reference

eccodes

- Main Page
- C Interface
- F90 Interface
- Python Interface

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Groups Pages
Public Member Functions
eccodes::codes_index_get Interface Reference

Get the distinct values of the key in argument contained in the index. More...

## Public Member Functions
subroutine | codes_index_get_int (indexid, key, values, status)
| Get the distinct values of the key in argument contained in the index. More...
subroutine | codes_index_get_long (indexid, key, values, status)
| Get the distinct values of the key in argument contained in the index. More...
subroutine | codes_index_get_string (indexid, key, values, status)
| Get the distinct values of the key in argument contained in the index. More...
subroutine | codes_index_get_real8 (indexid, key, values, status)
| Get the distinct values of the key in argument contained in the index. More...

## Detailed Description

Get the distinct values of the key in argument contained in the index.

The key must belong to the index.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key for wich the values are returned
  values | array of values. The array must be allocated before entering this function and its size must be enough to contain all the values.
  status | CODES_SUCCESS if OK, integer value on error

## Member Function/Subroutine Documentation

subroutine codes_index_get_int | ( | integer(kind=kindofint), intent(in) | indexid,
|  | character(len=*), intent(in) | key,
|  | integer(kind=kindofint), dimension(:), intent(out) | values,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Get the distinct values of the key in argument contained in the index.

The key must belong to the index. This function is used when the type of the key was explicitly defined as long or when the native type of the key is long.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key for wich the values are returned
  values | array of values. The array must be allocated before entering this function and its size must be enough to contain all the values.
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_index_get_long | ( | integer(kind=kindofint), intent(in) | indexid,
|  | character(len=*), intent(in) | key,
|  | integer(kind=kindoflong), dimension(:), intent(out) | values,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Get the distinct values of the key in argument contained in the index.

The key must belong to the index. This function is used when the type of the key was explicitly defined as long or when the native type of the key is long.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key for wich the values are returned
  values | array of values. The array must be allocated before entering this function and its size must be enough to contain all the values.
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_index_get_real8 | ( | integer(kind=kindofint), intent(in) | indexid,
|  | character(len=*), intent(in) | key,
|  | real(kind=kindofdouble), dimension(:), intent(out) | values,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Get the distinct values of the key in argument contained in the index.

The key must belong to the index. This function is used when the type of the key was explicitly defined as long or when the native type of the key is long.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key for wich the values are returned
  values | array of values. The array must be allocated before entering this function and its size must be enough to contain all the values.
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_index_get_string | ( | integer(kind=kindofint), intent(in) | indexid,
|  | character(len=*), intent(in) | key,
|  | character(len=*), dimension(:), intent(out) | values,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Get the distinct values of the key in argument contained in the index.

The key must belong to the index. This function is used when the type of the key was explicitly defined as string or when the native type of the key is string.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key for wich the values are returned
  values | array of values. The array must be allocated before entering this function and its size must be enough to contain all the values.
  status | CODES_SUCCESS if OK, integer value on error

The documentation for this interface was generated from the following file:

- eccodes_f90.f90